<?php
include("Config.php");


/* Nomi delle tabelle utilizzate */
$config_table = $table_prefix."_anagrafica";
$admin_table = $table_prefix."_admin";
$orders_table = $table_prefix."_ordini";
$customers_table = $table_prefix."_clienti";
$suppliers_table = $table_prefix."_fornitori";
$invoices_table = $table_prefix."_fatture_vendita";
$spl_invoices_table = $table_prefix."_fatture_acquisto";
$credit_notes_table = $table_prefix."_note_credito";
$spl_credit_notes_table = $table_prefix."_note_credito_fornitori";
$vat_table = $table_prefix."_codici_iva";
$payment_table = $table_prefix."_tipi_pagamento";
$bank_table = $table_prefix."_banche";
$mov_table = $table_prefix."_movimenti";
$terms_table = $table_prefix."_scadenzario";


connectToDB();
function connectToDB()
	{
	global $link, $Host, $Database, $User, $Password;
 
  $link = mysql_pconnect($Host, $User, $Password);
  if (! $link) 
  die("Impossibile connettersi a MySql");
  mysql_select_db( $Database, $link)
  	or die ("Impossibile connettersi al database");
	}

function getRow( $table, $fnm, $fval)
	{
	global $link;
	$result = mysql_query("SELECT * FROM $table WHERE $fnm = '$fval'", $link);
	if (! $result )
	die (" Errore di getRow: ".mysql_error());
	return mysql_fetch_array( $result);
	}





// funzione che compone una query con i parametri: tabella, where, orderby, limit e passo (riga di inizio e n. record)
// restituisce la risorsa

function dynQuery ($select, $tabella, $where=1, $orderby=2, $limit=0, $passo=40)
	{
	global $link, $session;
	
	if ($orderby == '2 ')
	{
		$query = "SELECT $select FROM $tabella WHERE $where LIMIT $limit, $passo";
	}
	 else
	{	
		$query = "SELECT $select FROM $tabella WHERE $where ORDER BY $orderby LIMIT $limit, $passo";
	}

	$result = mysql_query($query, $link);	

	if (! $result )
		{
		// questo e' buono per il debug
		$result = "<br>Errore nell'esecuzione di <b>dynQuery</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	// print $query;	// per visualizzare la query - debug
	return $result;
	}


// funzione che svincola il fetching dal DBMS specifico, questa funziona con mysql
function dbms_fetch_array ($resource)
	{
	$result = mysql_fetch_array($resource);	
	return $result;
	}
	
	
function configInsert ($Ragione_Sociale,$Cognome, $Nome, $PI, $CF, $Indirizzo, $Citta, $CAP, $Provincia, $Telefono, $Telefono2, $Telefono3,$Fax, $Cell, $E_mail,$Web)
	{
	global $link, $config_table;
	$query = "	INSERT INTO ".$config_table." 
	(
	Ragione_Sociale, 
	Cognome, 
	Nome, 
	PI, 
	CF, 
	Indirizzo, 
	Citta, 
	CAP, 
	Provincia, 
	Telefono, 
	Telefono2, 
	Telefono3, 
	Fax, 
	Cell, 
	E_mail, 
	Web
)
	VALUES 
(
	'$Ragione_Sociale', 
	'$Cognome', 
	'$Nome', 
	'$PI', 
	'$CF', 
	'$Indirizzo', 
	'$Citta', 
	'$CAP', 
	'$Provincia', 
	'$Telefono', 
	'$Telefono2', 
	'$Telefono3', 	
	'$Fax', 
	'$Cell', 
	'$E_mail', 
	'$Web'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>configInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}

	
	
function configUpdate($ID_Azienda, $Ragione_Sociale, $Cognome, $Nome, $PI, $CF, $Indirizzo, $Citta, $CAP, $Provincia, $Telefono, $Telefono2, $Telefono3, $Fax, $Cell, $E_mail, $Web)
	{
	global $link, $config_table;
	$query = "UPDATE ".$config_table." 
	SET 
	Ragione_Sociale='$Ragione_Sociale', 
	Cognome='$Cognome', 
	Nome='$Nome', 
	PI='$PI',
	CF='$CF', 
	Indirizzo='$Indirizzo', 
	Citta='$Citta',
	CAP='$CAP', 
	Provincia='$Provincia', 
	Telefono='$Telefono', 
	Telefono2='$Telefono2', 
	Telefono3='$Telefono3', 
	Fax='$Fax', 
	Cell='$Cell',
	E_mail='$E_mail', 
	Web='$Web' 
	WHERE 
	ID_Azienda='$ID_Azienda'";
	$result = mysql_query ($query, $link);
	if (! $result )
		die ("errore di aggiornamento ".mysql_error() );
	
	}			
	
	
	
function clientInsert ($Ragione_Sociale,$Cognome, $Nome,$PI,$CF, $Indirizzo,$Citta, $CAP, $Provincia, $Telefono, $Telefono2, $Telefono3,$Fax, $Cell,$E_mail,$Password,$Web)
	{
	global $link, $customers_table;
	$query = "	INSERT INTO ".$customers_table." 
	(
	Ragione_Sociale, 
	Cognome, 
	Nome, 
	PI, 
	CF, 
	Indirizzo, 
	Citta, 
	CAP, 
	Provincia, 
	Telefono, 
	Telefono2, 
	Telefono3, 
	Fax, 
	Cell, 
	E_mail, 
	Password, 
	Web
)
	VALUES 
(
	'$Ragione_Sociale', 
	'$Cognome', 
	'$Nome', 
	'$PI', 
	'$CF', 
	'$Indirizzo', 
	'$Citta', 
	'$CAP', 
	'$Provincia', 
	'$Telefono', 
	'$Telefono2', 
	'$Telefono3', 	
	'$Fax', 
	'$Cell', 
	'$E_mail', 
	'$Password', 
	'$Web'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>dynQuery</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}
function supplierInsert ($Ragione_Sociale,$Cognome, $Nome,$PI,$CF, $Indirizzo,$Citta, $CAP,$Provincia, $Telefono, $Telefono2, $Telefono3,$Fax, $Cell,$E_mail,$Password,$Web)
	{
	global $link, $suppliers_table;
	$query = "	INSERT INTO ".$suppliers_table." 
	(
	Ragione_Sociale, 
	Cognome, 
	Nome, 
	PI, 
	CF, 
	Indirizzo, 
	Citta, 
	CAP, 
	Provincia, 
	Telefono, 
	Telefono2, 
	Telefono3, 
	Fax, 
	Cell, 
	E_mail, 
	Password, 
	Web
)
	VALUES 
(
	'$Ragione_Sociale', 
	'$Cognome', 
	'$Nome', 
	'$PI', 
	'$CF', 
	'$Indirizzo', 
	'$Citta', 
	'$CAP', 
	'$Provincia', 
	'$Telefono', 
	'$Telefono2', 
	'$Telefono3', 	
	'$Fax', 
	'$Cell', 
	'$E_mail', 
	'$Password', 
	'$Web'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>dynQuery</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}
	
		
function clientUpdate($ID_Cliente, $Ragione_Sociale, $Cognome, $Nome, $PI, $CF, $Indirizzo, $Citta, $CAP, $Provincia, $Telefono, $Telefono2, $Telefono3, $Fax, $Cell, $Password, $Web, $E_Mail)
	{
	global $link, $customers_table;
	$query = "UPDATE ".$customers_table." 
	SET 
	Ragione_Sociale='$Ragione_Sociale', 
	Cognome='$Cognome', 
	Nome='$Nome', 
	PI='$PI',
	CF='$CF', 
	Indirizzo='$Indirizzo', 
	Citta='$Citta',
	CAP='$CAP', 
	Provincia='$Provincia', 
	Telefono='$Telefono', 
	Telefono2='$Telefono2', 
	Telefono3='$Telefono3', 
	Fax='$Fax', 
	Cell='$Cell',
	E_Mail='$E_Mail', 
	Password='$Password', 
	Web='$Web' 
	WHERE 
	ID_Cliente='$ID_Cliente'";
	$result = mysql_query ($query, $link);
	if (! $result )
		die ("errore di aggiornamento ".mysql_error() );
	
	}		

function supplierUpdate($ID_Fornitore, $Ragione_Sociale, $Cognome, $Nome, $PI, $CF, $Indirizzo, $Citta, $CAP, $Provincia, $Telefono, $Telefono2, $Telefono3, $Fax, $Cell, $Password, $Web, $E_Mail)
	{
	global $link, $suppliers_table;
	$query = "UPDATE ".$suppliers_table." 
	SET 
	Ragione_Sociale='$Ragione_Sociale', 
	Cognome='$Cognome', 
	Nome='$Nome', 
	PI='$PI',
	CF='$CF', 
	Indirizzo='$Indirizzo', 
	Citta='$Citta',
	CAP='$CAP', 
	Provincia='$Provincia', 
	Telefono='$Telefono', 
	Telefono2='$Telefono2', 
	Telefono3='$Telefono3', 
	Fax='$Fax', 
	Cell='$Cell',
	E_Mail='$E_Mail', 
	Password='$Password', 
	Web='$Web' 
	WHERE 
	ID_Fornitore='$ID_Fornitore'";
	$result = mysql_query ($query, $link);
	if (! $result )
		die ("errore di aggiornamento ".mysql_error() );
	
	}		
	
	
	
function orderInsert ($ID_Cliente, $Protocollo, $Cat_Ogg, $Oggetto, $Data_Ordine, $Data_Scadenza, $Tipo_Pagamento, $Prezzo, $Iva, $Ragione_Sociale, $Cognome, $Nome, $PI, $CF, $Indirizzo, $Citta, $CAP, $Provincia, $Telefono, $Fax, $E_mail, $Status)
	{
	global $link, $orders_table;
	$query = "	INSERT INTO ".$orders_table." 
	(
	ID_Cliente,
	Protocollo,
	Cat_Ogg,
	Oggetto,
	Data_Ordine,
	Data_Scadenza,
	Tipo_Pagamento,
	Prezzo,
	Iva,
	Ragione_Sociale, 
	Cognome, 
	Nome, 
	PI, 
	CF, 
	Indirizzo, 
	Citta, 
	CAP, 
	Provincia, 
	Telefono, 
	Fax, 
	E_mail,
	Status
)
	VALUES 
(
	'$ID_Cliente',
	'$Protocollo',
	'$Cat_Ogg',
	'$Oggetto',
	'$Data_Ordine',
	'$Data_Scadenza',
	'$Tipo_Pagamento',
	'$Prezzo',
	'$Iva',
	'$Ragione_Sociale', 
	'$Cognome', 
	'$Nome', 
	'$PI', 
	'$CF', 
	'$Indirizzo', 
	'$Citta', 
	'$CAP', 
	'$Provincia', 
	'$Telefono', 
	'$Fax', 
	'$E_mail',
	'$Status'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>orderInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}	
	
	
function orderUpdate($ID_Ordine, $Protocollo, $Oggetto)
	{
	global $link, $orders_table;
	$query = "UPDATE ".$orders_table." 
	SET 
	Protocollo='$Protocollo',
	Oggetto='$Oggetto'
	WHERE 
	ID_Ordine='$ID_Ordine'";
	$result = mysql_query ($query, $link);
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>orderUpdate</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	
	}		

function bankInsert ($Banca, $Indirizzo, $Agenzia, $Abi, $Cab, $Conto, $Titolare)
	{
	global $link, $bank_table;
	$query = "	INSERT INTO ".$bank_table." 
	(
	Banca, 
	Indirizzo, 
	Agenzia, 
	Abi, 
	Cab, 
	Conto, 
	Titolare
)
	VALUES 
(
	'$Banca', 
	'$Indirizzo', 
	'$Agenzia', 
	'$Abi', 
	'$Cab', 
	'$Conto', 
	'$Titolare'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>dynQuery</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}		
	
function bankUpdate($ID_Banca, $Banca, $Agenzia, $Indirizzo, $Abi, $Cab, $Conto, $Titolare)
	{
	global $link, $bank_table;
	
	$Indirizzo = addslashes($Indirizzo); // aggiunge i caratteri di escape dove serve
	// todo: implementare una funzione che passeggia sull'array facendo il trim e 
	// lo slash davanti ai caratteri che necessitano
				
	$query = "UPDATE ".$bank_table." 
	SET 
	Banca='$Banca',
	Agenzia='$Agenzia',
	Indirizzo='$Indirizzo',
	Abi='$Abi',
	Cab='$Cab',
	Conto='$Conto',
	Titolare='$Titolare'
	WHERE 
	ID_Banca='$ID_Banca'";
	$result = mysql_query ($query, $link);
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>bankUpdate</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	// print $query;
	return $result;
	
	}	
	
function invoiceInsert ($Prog_Fattura_Annuo, $ID_Cliente, $ID_Banca, $Data_Fattura, $Ragione_Sociale, $PI, $Indirizzo, $Citta, $CAP, $Provincia, $Totale, $Tipo_Pagamento, $Scadenza)
	{
	global $link, $invoices_table;
	$query = "	INSERT INTO ".$invoices_table." 
	(
	Prog_Fattura_Annuo,
	ID_Cliente,
	ID_Banca,
	Data_Fattura,
	Ragione_Sociale,
	PI,
	Indirizzo,
	Citta,
	CAP,
	Provincia,
	Totale,
	Tipo_Pagamento,
	Scadenza
	)
		VALUES 
	(
	'$Prog_Fattura_Annuo',
	'$ID_Cliente',
	'$ID_Banca',
	'$Data_Fattura',
	'$Ragione_Sociale',
	'$PI',
	'$Indirizzo',
	'$Citta',
	'$CAP',
	'$Provincia',
	'$Totale', 
	'$Tipo_Pagamento', 
	'$Scadenza'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>invoiceInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}	
	
function noteInsert ($Prog_Nota_Annuo, $ID_Fattura, $ID_Cliente, $Ragione_Sociale, $PI, $Indirizzo, $Citta, $CAP, $Provincia, $Data_Nota, $Descrizione, $Iva, $Totale, $Note)
	{
	global $link, $credit_notes_table;
	$query = "	INSERT INTO ".$credit_notes_table." 
	(
	Prog_Nota_Annuo,
	ID_Fattura,
	ID_Cliente,
	Ragione_Sociale, 
	PI, 
	Indirizzo, 
	Citta, 
	CAP, 
	Provincia, 
	Data_Nota,
	Descrizione,
	Iva,
	Totale,
	Note
	)
		VALUES 
	(
	'$Prog_Nota_Annuo',
	'$ID_Fattura',
	'$ID_Cliente',
	'$Ragione_Sociale', 
	'$PI', 
	'$Indirizzo', 
	'$Citta', 
	'$CAP', 
	'$Provincia', 
	'$Data_Nota',
	'$Descrizione', 
	'$Iva', 
	'$Totale',
	'$Note'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>noteInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}	
	
function spl_invoiceInsert ( $N_Fattura, $Data_Fattura, $Ragione_Sociale, $Descrizione, $Totale, $Imposta, $Tipo_Pagamento, $Data_Scadenza, $Note)
	{
	global $link, $spl_invoices_table;
	$query = "	INSERT INTO ".$spl_invoices_table." 
	(
	
	N_Fattura, 
	Data_Fattura, 
	Ragione_Sociale, 
	Descrizione, 
	Totale, 
	Imposta, 
	Tipo_Pagamento, 
	Scadenza, 
	Note
)
	VALUES 
(
	'$N_Fattura', 
	'$Data_Fattura', 
	'$Ragione_Sociale', 
	'$Descrizione', 
	'$Totale', 
	'$Imposta', 
	'$Tipo_Pagamento', 
	'$Data_Scadenza', 
	'$Note'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>spl_invoiceInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}	
	
function spl_invoiceUpdate($ID_Fattura_Acquisto, $ID_Fornitore, $N_Fattura, $Data_Fattura, $Ragione_Sociale, $PI, $Indirizzo, $Citta, $CAP, $Provincia, $Descrizione, $Totale, $Imposta, $Tipo_Pagamento, $Data_Scadenza, $Note)
	{
	global $link, $spl_invoices_table;
	$query = "UPDATE ".$spl_invoices_table." 
	SET 
	ID_Fattura_Acquisto = '$ID_Fattura_Acquisto',
	ID_Fornitore = '$ID_Fornitore', 
	N_Fattura = '$N_Fattura',
	Data_Fattura = '$Data_Fattura',
	Ragione_Sociale='$Ragione_Sociale', 
	PI='$PI',
	Indirizzo='$Indirizzo', 
	Citta='$Citta',
	CAP='$CAP', 
	Provincia='$Provincia', 
	Descrizione = '$Descrizione', 
	Totale = '$Totale', 
	Imposta = '$Imposta', 
	Tipo_Pagamento = '$Tipo_Pagamento', 
	Scadenza = '$Data_Scadenza', 
	Note = '$Note'
	WHERE 
	ID_Fattura_Acquisto='$ID_Fattura_Acquisto'";
	$result = mysql_query ($query, $link);
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>spl_invoiceUpdate</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	
	}		
			
			
function spl_noteInsert ($ID_Fornitore, $N_Nota, $ID_Fattura_Acquisto, $Data_Nota, $Ragione_Sociale, $PI, $Indirizzo, $Citta, $CAP, $Provincia, $Descrizione, $Totale, $Imposta, $Tipo_Pagamento, $Note)
	{
	global $link, $spl_credit_notes_table;
	$query = "	INSERT INTO ".$spl_credit_notes_table." 
	(
	ID_Fornitore, 
	N_Nota, 
	ID_Fattura_Acquisto,
	Data_Nota, 
	Ragione_Sociale, 
	PI, 
	Indirizzo, 
	Citta, 
	CAP, 
	Provincia, 
	Descrizione, 
	Totale, 
	Imposta, 
	Tipo_Pagamento, 
	Note
)
	VALUES 
(
	'$ID_Fornitore', 
	'$N_Nota',
	'$ID_Fattura_Acquisto', 
	'$Data_Nota', 
	'$Ragione_Sociale', 
	'$PI', 
	'$Indirizzo', 
	'$Citta', 
	'$CAP', 
	'$Provincia', 
	'$Descrizione', 
	'$Totale', 
	'$Imposta', 
	'$Tipo_Pagamento', 
	'$Note'
	)";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>spl_noteInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}	
function spl_noteUpdate ($ID_Nota, $ID_Fornitore, $N_Nota, $ID_Fattura_Acquisto, $Data_Nota, $Ragione_Sociale, $PI, $Indirizzo, $Citta, $CAP, $Provincia, $Descrizione, $Totale, $Imposta, $Tipo_Pagamento, $Note)
	{
	global $link, $spl_credit_notes_table;
	$query = "	UPDATE ".$spl_credit_notes_table." SET
	
	ID_Fornitore = '$ID_Fornitore', 
	N_Nota = '$N_Nota',
	ID_Fattura_Acquisto = '$ID_Fattura_Acquisto', 
	Data_Nota = '$Data_Nota', 
	Ragione_Sociale = '$Ragione_Sociale', 
	PI = '$PI', 
	Indirizzo = '$Indirizzo', 
	Citta = '$Citta', 
	CAP = '$CAP', 
	Provincia = '$Provincia',
	Descrizione = '$Descrizione', 
	Totale = '$Totale', 
	Imposta = '$Imposta', 
	Tipo_Pagamento = '$Tipo_Pagamento',
	Note = '$Note'
	
	WHERE 
	
	ID_Nota = '$ID_Nota'
	";
	$result = mysql_query($query, $link);	
	if (! $result )
		{
		$result = "<br>Errore nell'esecuzione di <b>spl_noteInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
		print $result;
		}
	return $result;
	}				
	
	
function movInsert 
					(
					$ID_Cliente,
					$ID_Fornitore,
					$Ragione_Sociale,
					$Data_Valuta,
					$Tipo_Pagamento,
					$Entrate,
					$Uscite,
					$ID_Banca,
					$Descrizione
					)
						{
						global $link, $mov_table;
						$query = "	INSERT INTO ".$mov_table." 
						(
						ID_Cliente, 
						ID_Fornitore, 
						Ragione_Sociale, 
						Data_Valuta, 
						Tipo_Pagamento,
						Entrate, 
						Uscite, 
						ID_Banca, 
						Descrizione
						) 
						VALUES 
						(
						 '$ID_Cliente',
						 '$ID_Fornitore',
						 '$Ragione_Sociale',
						 '$Data_Valuta',
						 '$Tipo_Pagamento',
						 '$Entrate',
						 '$Uscite',
						 '$ID_Banca',
						 '$Descrizione' 
						)";
						$result = mysql_query($query, $link);	
						if (! $result )
							{
							$result = "<br>Errore nell'esecuzione di <b>spl_noteInsert</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
							print $result;
							}
						return $result;
						}		
						
function movUpdate 
					(
					$ID_Movimento,
					$ID_Cliente,
					$ID_Fornitore,
					$Ragione_Sociale,
					$Data_Valuta,
					$Entrate,
					$Uscite,
					$ID_Banca,
					$Descrizione
					)
						{
						global $link, $mov_table;
						$query = "	UPDATE ".$mov_table." SET
						
						ID_Cliente = '$ID_Cliente',
						ID_Fornitore = '$ID_Fornitore',
						Ragione_Sociale = '$Ragione_Sociale',
						Data_Valuta = '$Data_Valuta',
						Entrate = '$Entrate',
						Uscite = '$Uscite',
						ID_Banca = '$ID_Banca',
						Descrizione = '$Descrizione' 
						
						WHERE 
						ID_Movimento = '$ID_Movimento' 	 
						";
						$result = mysql_query($query, $link);	
						if (! $result )
							{
							$result = "<br>Errore nell'esecuzione di <b>movUpdate</b> <br>Query= <b>$query</b> <br> Errore Mysql = <b>".mysql_error()."</b><br>";
							print $result;
							}
						return $result;
						}		
		
function delRow( $table, $fname, $fval)
	{
	global $link;
	$result = mysql_query("DELETE FROM $table WHERE $fname = '$fval'", $link);
	if (! $result )
	die (" Errore di cancellazione: ".mysql_error());
	}		
	
// restituisce il numero di record in una tabella	
function recordCount($table)
	{
	global $link;
	$result = mysql_query("SELECT * FROM $table" ,$link);
	$count = mysql_num_rows($result);
	return $count;
	}	
// restituisce il numero record di una query	
function queryCount($table, $where)
	{
	global $link;
	$result = mysql_query("SELECT * FROM ".$table." WHERE ".$where."" ,$link);
	$count = mysql_num_rows($result);
	return $count;
	}		
?>